summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2010-05-11 22:53:14 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:14 +0200
commita7d7b8d43498205f82064722efb151fb72504f13 (patch)
treec21e4d1d3618d27e71c45b5603174b32f59076bc /audio
parent007a134ec068636c667cb81e93c0264e3ed7bcb7 (diff)
downloadslackbuilds-a7d7b8d43498205f82064722efb151fb72504f13.tar.gz
slackbuilds-a7d7b8d43498205f82064722efb151fb72504f13.tar.xz
audio/ogmtools: Added to 12.1 repository
Diffstat (limited to 'audio')
-rw-r--r--audio/ogmtools/README7
-rw-r--r--audio/ogmtools/ogmtools.SlackBuild95
-rw-r--r--audio/ogmtools/ogmtools.info8
-rw-r--r--audio/ogmtools/slack-desc11
4 files changed, 121 insertions, 0 deletions
diff --git a/audio/ogmtools/README b/audio/ogmtools/README
new file mode 100644
index 0000000000..b259a91616
--- /dev/null
+++ b/audio/ogmtools/README
@@ -0,0 +1,7 @@
+OGMTools allows information about ogg media, extraction of ogg media
+streams and creation of ogg media streams (ogm).
+
+Dependencies include:
+ 1. libdvdread (available at SBo)
+ 2. libvorbis (available in Slackware)
+ 3. vorbis-tools (available in Slackware)
diff --git a/audio/ogmtools/ogmtools.SlackBuild b/audio/ogmtools/ogmtools.SlackBuild
new file mode 100644
index 0000000000..0a238cbd3b
--- /dev/null
+++ b/audio/ogmtools/ogmtools.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+#################################################################################
+
+# Slackware Package Build Script for OGMtools
+
+# Copyright (c) 2008, Nishant Limbachia (nishant@mnspace.net)
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+#################################################################################
+
+PRGNAM=ogmtools
+VERSION=1.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $TMP/$PRGNAM-$VERSION
+
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr \
+--exec-prefix=/usr \
+--sysconfdir=/etc \
+--localstatedir=/var \
+--mandir=/usr/man \
+--infodir=/usr/info \
+--build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object"| grep ELF | \
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog INSTALL \
+README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+### building package
+chown -R root.root $PKG
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/ogmtools/ogmtools.info b/audio/ogmtools/ogmtools.info
new file mode 100644
index 0000000000..409bf28829
--- /dev/null
+++ b/audio/ogmtools/ogmtools.info
@@ -0,0 +1,8 @@
+PRGNAM="ogmtools"
+VERSION="1.5"
+HOMEPAGE="http://www.bunkus.org/videotools/ogmtools/"
+DOWNLOAD="http://www.bunkus.org/videotools/ogmtools/ogmtools-1.5.tar.bz2"
+MD5SUM="02d356e3d21d53b1d9715bab223d8996"
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="David Somero"
diff --git a/audio/ogmtools/slack-desc b/audio/ogmtools/slack-desc
new file mode 100644
index 0000000000..0d49e163ee
--- /dev/null
+++ b/audio/ogmtools/slack-desc
@@ -0,0 +1,11 @@
+ogmtools: ogmtools (Ogg Media Tools)
+ogmtools:
+ogmtools: Tools to allow information, extraction or creation of
+ogmtools: Ogg media streams. Utilities include ogmmerge, ogminfo,
+ogmtools: ogmdemux, ogmsplit, ogmcat and dvdxchap.
+ogmtools:
+ogmtools: Packaged by Nishant Limbachia
+ogmtools: Home Page: http://www.bunkus.org/videotools/ogmtools/
+ogmtools:
+ogmtools:
+ogmtools: